|  | reflex::convert_flag Namespace Reference updated Fri May 16 2025 by Robert van Engelen |

- Main Page
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

Variables
reflex::convert_flag Namespace Reference

## Variables
const convert_flag_type | none = 0x0000
| no conversion (default) More...
const convert_flag_type | basic = 0x0001
| convert basic regex (BRE) to extended regex (ERE) More...
const convert_flag_type | unicode = 0x0002
| convert . (dot), `\s`, `\w`, `\l`, `\u`, `\S`, `\W`, `\L`, `\U` to Unicode More...
const convert_flag_type | recap = 0x0004
| remove capturing groups, add capturing groups to the top level More...
const convert_flag_type | lex = 0x0008
| convert Lex/Flex regular expression syntax More...
const convert_flag_type | u4 = 0x0010
| convert `\uXXXX` and UTF-16 surrogate pairs More...
const convert_flag_type | anycase = 0x0020
| convert regex to ignore case, same as `(?i)` More...
const convert_flag_type | multiline = 0x0040
| regex with multiline anchors `^` and `$`, same as `(?m)` More...
const convert_flag_type | dotall = 0x0080
| convert `.` (dot) to match all, same as `(?s)` More...
const convert_flag_type | freespace = 0x0100
| convert regex by removing spacing, same as `(?x)` More...
const convert_flag_type | notnewline = 0x0200
| inverted character classes and do not match newline `\n` More...
const convert_flag_type | permissive = 0x0400
| convert Unicode to more compact UTF-8 patterns, permits some invalid UTF-8 sequences More...
const convert_flag_type | closing = 0x8000
| permit matching ) literally when it has no opening ( More...

## Variable Documentation

const convert_flag_type reflex::convert_flag::anycase = 0x0020

convert regex to ignore case, same as `(?i)`

const convert_flag_type reflex::convert_flag::basic = 0x0001

convert basic regex (BRE) to extended regex (ERE)

const convert_flag_type reflex::convert_flag::closing = 0x8000

permit matching ) literally when it has no opening (

const convert_flag_type reflex::convert_flag::dotall = 0x0080

convert `.` (dot) to match all, same as `(?s)`

const convert_flag_type reflex::convert_flag::freespace = 0x0100

convert regex by removing spacing, same as `(?x)`

const convert_flag_type reflex::convert_flag::lex = 0x0008

convert Lex/Flex regular expression syntax

const convert_flag_type reflex::convert_flag::multiline = 0x0040

regex with multiline anchors `^` and `$`, same as `(?m)`

const convert_flag_type reflex::convert_flag::none = 0x0000

no conversion (default)

const convert_flag_type reflex::convert_flag::notnewline = 0x0200

inverted character classes and do not match newline `\n`

const convert_flag_type reflex::convert_flag::permissive = 0x0400

convert Unicode to more compact UTF-8 patterns, permits some invalid UTF-8 sequences

const convert_flag_type reflex::convert_flag::recap = 0x0004

remove capturing groups, add capturing groups to the top level

const convert_flag_type reflex::convert_flag::u4 = 0x0010

convert `\uXXXX` and UTF-16 surrogate pairs

const convert_flag_type reflex::convert_flag::unicode = 0x0002

convert . (dot), `\s`, `\w`, `\l`, `\u`, `\S`, `\W`, `\L`, `\U` to Unicode